Package “solarium/solarium” is not installed

  • hsurekar
    Participant
    1 month, 4 weeks ago #31659

    Hi,
    I have activated license but while I am creating index it’s giving me error.
    Package “solarium/solarium” is not installed
    I have also attached screenshot please have a look and let me know how can we fix it.
    Image EUnQKqnxLINCqGULq-N7aNsB4qLBKhXIKXe8EvTijPugIQ of Package
    Thanks

    hsurekar
    Participant
    1 month, 4 weeks ago #31660

    sorry wrong screenshot was pushed.
    Please see this screenshot. Image ER8mMi6bDExHofFFezuezUMBXPDcQ35ni7yEdYOsXiYJ0Q of

    wpsolr
    Keymaster
    1 month, 4 weeks ago #31661

    I suggest to reinstall WPSOLR from https://www.wpsolr.com/forums/forum/licenses-and-billing/wpsolr-releases/

    It looks like some files are missing.

    hsurekar
    Participant
    1 month, 4 weeks ago #31666

    I have reinstalled version 22.3 but still same issue.

    wpsolr
    Keymaster
    1 month, 4 weeks ago #31667

    Can you see the plugins/wpsolr-pro/wpsolr/core/vendor/solarium/solarium folder?

    hsurekar
    Participant
    1 month, 4 weeks ago #31670

    Yes folder and files are there see attached screenshot
    Image ESccl9FB81VLjHDeqhVXE7QBcFY2yNotM1qslM6vg88fqQ of

    wpsolr
    Keymaster
    1 month, 4 weeks ago #31671

    Can you get the error from the WP debug logs?

    hsurekar
    Participant
    1 month, 4 weeks ago #31675

    I have checked error log but no error log for today

    hsurekar
    Participant
    1 month, 4 weeks ago #31681
    wpsolr
    Keymaster
    1 month, 4 weeks ago #31697

    The log errors seem to come from a script executed from plugin insert-php-code-snippet

    hsurekar
    Participant
    1 month, 4 weeks ago #31698

    yes it was fixed and log date is yesterday no any error for today

    wpsolr
    Keymaster
    1 month, 4 weeks ago #31699

    What is your PHP version?

    hsurekar
    Participant
    1 month, 4 weeks ago #31700

    PHP version is 7.4
    Wordpress version is 6.0.2
    Wordpress multisite.

    wpsolr
    Keymaster
    1 month, 4 weeks ago #31701

    I have no clue, this is the first time I’ve been told of this issue.

    I’ve just created an OpenSolr index on WP Engine with:
    – WPSOLR 22.5 (latest version)
    – PHP 8.0.25
    – WP 6.0.3

    hsurekar
    Participant
    1 month, 3 weeks ago #31705

    Ok I found issue. While i am activating it from network then it will give me “Package “solarium/solarium” is not installed” this error. But while activating from individual site then it’s working fine. So could you please check why it’s not working on Network.

    Thanks

Viewing 15 posts - 1 through 15 (of 16 total)

You must be logged in to reply to this topic.